/*
 * AffI2C_RW1063.h
 *
 *  Created on: Jul 3, 2019
 *      Author: Dominique
 */

#ifndef AFFI2C_RW1063_H_
#define AFFI2C_RW1063_H_
#define LINE_ONE    0x80  // DD RAM Address The starting position of the first line is 0x00
                          // set the DD RAM address to 0x80 + 0x00 = 0x80
#define LINE_TWO    0xc0  // DD RAM Address The starting position of the second line is 0x40
						  // set the DD RAM address to 0x80 + 0x40 = 0xc0
#define BUS_CLOCK 8000	 //Set here the bus clock in kHz

void writeCommand(uint8_t command);
//============================================================================
void writeChar(uint8_t data);
//============================================================================
void write_msg(char *msg);
//============================================================================
void clrscr (void);
//============================================================================
void init_LCD (void);
//============================================================================
void locate(uint8_t column, uint8_t row);
//*************************************************************************************
//**************************************************************************
//* Une simple  fonction delay  (utilise par les routines du LCD)
//**************************************************************************
//* Argument en entre:
//* unsigned char time: dure approximative en millisecondes
//**************************************************************************
void LCD_Delay_ms (unsigned char time);

#endif /* AFFI2C_RW1063_H_ */
