//*******************************************************************  
//*** Routine d'écriture de données vers l'esclave
//*** Necessite:  - Pointeur pour tableau de données
//***             - Nombre d'octets à transmettre
//***			  - adresse de l'esclave en mode 8bits
//****************************************************************
void I2C_TX(unsigned char *I2C_DATA, unsigned char nbr_octet, unsigned char slave_adr);
//*******************************************************************  
//*** Routine de lecture de données depuis l'esclave
//*** Necessite:  - Pointeur pour tableau de données
//***             - Nombre d'octets à recevoir
//***			  - adresse de l'esclave en mode 8bits
//****************************************************************
void I2C_RX(unsigned char *I2C_DATA, unsigned char nbr_octet, unsigned char slave_adr);
//*******************************************************************  
//*** Routine d'écriture puis de lecture de données vers l'esclave
//*** avec condition de restart
//*** Necessite:  - Pointeur pour tableau de données à écrire
//*** 			  - Pointeur pour tableau de données à lire
//***             - Nombre d'octets à écrire
//***             - Nombre d'octets à lire
//***			  - adresse de l'esclave en mode 8bits
//****************************************************************
void I2C_RXTX(unsigned char *I2C_DATA, unsigned char *I2C_DATAin, unsigned char nbr_octet, unsigned char nbr_octetin, unsigned char slave_adr);
