#include "IO_Map.h"
 
 //**************      Routine DE TEMPORISATION DE N ms    **********/
void Delay_ms (int duree)
  {
    MTIM0_MOD = 249;
    MTIM0_SC=0  ;        //Mise en route du timer
    do{
    
    while(MTIM0_SC_TOF==0);   //On attend fin de comptage
    MTIM0_SC_TOF = 0;        //remise  0 du drapeau
    
    duree--;
    }while(duree);
    MTIM0_SC=0x10  ;        //Arrt timer
  }
 //**************      Routine d'initialisation de l'afficheur    **********/
void init_time(void)
{
  MTIM0_MOD = 0xF9;//Modulo=249 pour une dure de 1ms                                      
  MTIM0_CLK = 0x05; //Horloge bus /32 (soit 8MHz/32=250kHz)                                     
  (void)(MTIM0_SC == 0); // Overflow int. flag clearing (first part)
  MTIM0_SC = 0x30;//Timer  l'arrt et mis  0 
  }
 //**************      Routine DE TEMPORISATION DE N x us    **********//
 //************** avec Freq bus = 8MHz et une dure mini de 5us (duree=1)
 void Delay_us (int duree)
 {
    //duree est stock dans les accus H et X
	asm {
		//	psha
	
	encore:
		  	NOP
			  DBNZX encore//bne encore
		    //pula
			}
	}
