/*
 * MPL311A2.h
 *
 *  Created on: 22 sept. 2019
 *      Author: Dominique
 */

#ifndef MPL3115A2_H_
#define MPL3115A2_H_
#include "stm32l0xx_hal.h"
#define OFFSET 63  //Set for location this is the Altitude offset in meters



    int MPL_Write_Register (uint8_t regnum, uint8_t data);
	int MPL_Read_MPL_Data(void);
	uint8_t MPL_Read_MPL_reg(uint8_t Register);		//Read Register from MPL3115A2 Sensor
	float MPL_Pressure(void);
	float MPL_Altitude_ft (void);
	float MPL_Altitude_m (void);
	float MPL_Temp_F (void);
	float MPL_Temp_C (void);
	int MPL_Init (void);


#endif /* MPL3115A2_H_ */
