/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2020 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32l0xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define EN_GPS_Pin GPIO_PIN_1
#define EN_GPS_GPIO_Port GPIOA
#define TX_GPS_Pin GPIO_PIN_2
#define TX_GPS_GPIO_Port GPIOA
#define RX_GPS_Pin GPIO_PIN_3
#define RX_GPS_GPIO_Port GPIOA
#define Wind_Dir_Pin GPIO_PIN_4
#define Wind_Dir_GPIO_Port GPIOA
#define Wind_Speed_Pin GPIO_PIN_5
#define Wind_Speed_GPIO_Port GPIOA
#define Wind_Speed_EXTI_IRQn EXTI4_15_IRQn
#define INT_MPL_Pin GPIO_PIN_1
#define INT_MPL_GPIO_Port GPIOB
#define TX_Part_Pin GPIO_PIN_9
#define TX_Part_GPIO_Port GPIOA
#define RX_Part_Pin GPIO_PIN_10
#define RX_Part_GPIO_Port GPIOA
#define EN_Part_Pin GPIO_PIN_11
#define EN_Part_GPIO_Port GPIOA
#define Sleep_Fox_Pin GPIO_PIN_15
#define Sleep_Fox_GPIO_Port GPIOA
#define TX_Fox_Pin GPIO_PIN_3
#define TX_Fox_GPIO_Port GPIOB
#define RX_Fox_Pin GPIO_PIN_4
#define RX_Fox_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
